<?php defined('SYSPATH') or die('No direct script access.');


class Model_Config {

    static protected $cached = array();

    public static function load($name) {
        if ( array_key_exists($name, self::$cached)) {
            return self::$cached[$name];
        } else {
            $data = file_get_contents(APPPATH . "config" . DIRECTORY_SEPARATOR . $name);
            $data = json_decode($data);
            self::$cached[$name] = $data;
            return $data;
        }
    }

}